import 'package:rook_sdk_core/rook_sdk_core.dart';
import 'package:rook_sdk_health_connect/src/domain/enums/local_logging_level.dart';
import 'package:rook_sdk_health_connect/src/platform/rook_sdk_health_connect_platform_interface.dart';

class HCRookConfigurationManager {
  Future<void> setLocalLoggingLevel(LocalLoggingLevel localLoggingLevel) {
    return RookSdkHealthConnectPlatform.instance.setLocalLoggingLevel(
      localLoggingLevel,
    );
  }

  Future<void> setConfiguration(RookConfiguration rookConfiguration) {
    return RookSdkHealthConnectPlatform.instance.setConfiguration(
      rookConfiguration,
    );
  }

  Future<void> initRook() {
    return RookSdkHealthConnectPlatform.instance.initRook();
  }

  Future<void> updateUserID(String userID) {
    return RookSdkHealthConnectPlatform.instance.updateUserID(userID);
  }

  Future<void> clearUserID() {
    return RookSdkHealthConnectPlatform.instance.clearUserID();
  }
}
